/**编码详情 */
export interface CodeInfo {
  /** 编码ID */
  id: string;
  /** 编码 */
  code: string;
  /** 编码描述 */
  description: string;
  /**用户ID */
  user_id: string;
  /**用户昵称 */
  nickname: string;
  /**用户账号 */
  username: string;
  /**部门ID */
  department_id: string;
  /**部门名称 */
  department_name: string;
  /** 创建时间 */
  create_time: string;
  /** 更新时间 */
  update_time: string;
  /** 创建人 */
  create_by: string;
  /** 更新人 */
  update_by: string;
}

/**查询结果项 */
export interface QueryResultItem {
  /** 编码ID */
  id: string;
  /** 编码 */
  code: string;
  /** 编码描述 */
  description: string;
  /**匹配度 */
  match_rate: number;
}

/**查询结果 */
export interface QueryResult {
  /**查询文本 */
  query_text: string;
  /**查询状态 */
  status: number;
  /**会话ID */
  id: string;
  /**结果 */
  result_text: QueryResultItem[];
}
/**查询编码结果 */
export interface QueryCodeResult {
  /**查询ID */
  id: string;
  /**查询文本 */
  query: string;
  /**查询统计 */
  query_count: number;
  /**查询耗时 */
  cost_time: number;
  /**结果统计 */
  result_count: number;
  /**查询结果 */
  response_result: QueryResult[];
  /**查询状态 */
  status: number;
  /**查询时间 */
  operation_time: string;
}

/**查询编日志信息 */
export interface QueryCodeLogInfo {
  /**日志ID */
  id: string;
  /**查询文本 */
  request_params: string;
  /**查询统计 */
  query_count: number;
  /**查询耗时 */
  cost_time: number;
  /**结果统计 */
  result_count: number;
  /**查询结果 */
  response_result: string;
  /**查询状态 */
  status: number;
  /**操作时间 */
  operation_time: string;
  /** 操作员ID */
  operator_id: string;
  /** 操作员名称 */
  operator_name: string;
  /** 操作员昵称 */
  operator_nickname: string;
  /** 部门ID */
  department_id: string;
  /** 部门名称 */
  department_name: string;
}

/**编码反馈信息 */
export interface CodeFeedbackInfo {
  /**反馈ID */
  id: string;
  /**编码ID */
  code_id: string;
  /**编码 */
  code: string;
  /**编码描述 */
  description: string;
  /**反馈编码 */
  feedback_code: string;
  /**反馈文本 */
  feedback_description: string;
  /** 创建时间 */
  create_time: string;
  /** 更新时间 */
  update_time: string;
  /**用户ID */
  user_id: string;
  /**用户昵称 */
  nickname: string;
  /**用户账号 */
  username: string;
  /**部门ID */
  department_id: string;
  /**部门名称 */
  department_name: string;
  /**审核状态 */
  status: number;
}

/**编码导入信息 */
export interface CodeImportInfo {
  /**导入ID */
  id: string;
  /**导入状态 */
  status: number;
  /**编码 */
  code: string;
  /**编码描述 */
  description: string;
  /** 创建时间 */
  create_time: string;
  /** 更新时间 */
  update_time: string;
  /**用户ID */
  user_id: string;
  /**用户昵称 */
  nickname: string;
  /**用户账号 */
  username: string;
  /**部门ID */
  department_id: string;
  /**部门名称 */
  department_name: string;
}
